export declare class StringFilterHelper {
    private searchMinLength;
    isMultiple: boolean;
    private textChangedCallback;
    text: string;
    textDisplayed: string;
    displayEmptyFields: boolean;
    private i18n;
    private config;
    constructor(searchMinLength: number, isMultiple: boolean, textChangedCallback: any);
    isFilterActive(): boolean;
    resetFilter(): void;
    getValue(): string;
    getModelAsString(): string;
    setupContentGuiSideFilter(): string;
    textDisplayedChanged(newVal: string, oldVal: string): void;
}
